summaryrefslogtreecommitdiffstats
path: root/source/ap/man
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/man')
-rw-r--r--source/ap/man/doinst.sh14
-rw-r--r--source/ap/man/man-1.6f.nroff.mandoc.diff11
-rwxr-xr-xsource/ap/man/man.SlackBuild90
-rw-r--r--source/ap/man/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/source/ap/man/doinst.sh b/source/ap/man/doinst.sh
new file mode 100644
index 000000000..22fa61d14
--- /dev/null
+++ b/source/ap/man/doinst.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config usr/lib/man.conf.new
+
diff --git a/source/ap/man/man-1.6f.nroff.mandoc.diff b/source/ap/man/man-1.6f.nroff.mandoc.diff
new file mode 100644
index 000000000..6b14b3e7e
--- /dev/null
+++ b/source/ap/man/man-1.6f.nroff.mandoc.diff
@@ -0,0 +1,11 @@
+--- ./src/man.conf.in.orig 2007-08-20 23:15:21.000000000 -0500
++++ ./src/man.conf.in 2009-08-08 20:53:33.000000000 -0500
+@@ -89,7 +89,7 @@
+ # causes problems, add the -c option to TROFF, NROFF, JNROFF.
+ #
+ TROFF @troff@
+-NROFF @nroff@
++NROFF /usr/bin/nroff -mandoc
+ JNROFF @jnroff@
+ EQN @eqn@
+ NEQN @neqn@
diff --git a/source/ap/man/man.SlackBuild b/source/ap/man/man.SlackBuild
new file mode 100755
index 000000000..6ee765c3f
--- /dev/null
+++ b/source/ap/man/man.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=1.6f
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-man
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf man-$VERSION
+tar xvf $CWD/man-$VERSION.tar.bz2
+cd man-$VERSION
+
+# In man.conf, set NROFF to "/usr/bin/nroff -mandoc" rather
+# than "/usr/bin/nroff -Tlatin1". This works better with
+# modern console encodings. Thanks to rg3.
+zcat $CWD/man-1.6f.nroff.mandoc.diff.gz | patch -p1 || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure +lang all +traditional -confdir /usr/lib${LIBDIRSUFFIX}
+make
+make install PREFIX=$PKG
+mv $PKG/usr/lib${LIBDIRSUFFIX}/man.conf $PKG/usr/lib${LIBDIRSUFFIX}/man.conf.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -name "*.?" -exec gzip -9 {} \;
+ # hack to remove empty man directories:
+ ( find . -type d | xargs rmdir ) 2> /dev/null
+ ( find . -type d | xargs rmdir ) 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/man-$VERSION
+cp -a COPYING* INSTALL LSM README TODO $PKG/usr/doc/man-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#g" \
+ > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/man-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/man/slack-desc b/source/ap/man/slack-desc
new file mode 100644
index 000000000..284c863c6
--- /dev/null
+++ b/source/ap/man/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+man: man (format and display the on-line manual pages)
+man:
+man: The man package is a collection of tools used for searching and
+man: reading the online system documentation. In fact, on most UNIX-like
+man: operating systems it is the primary means of finding out how programs
+man: on the system work. For example, 'man man' will display the
+man: documentation for man itself.
+man:
+man: Man requires the groff text processing package.
+man:
+man: